.ouo-a {
	font-family: "Palanquin Dark", sans-serif;
	color: #ffc02c !important;
	font-weight: 600 !important;
	text-decoration: none;
	z-index: 2;
}

.bd-copyright__main .footer-copyright {
	display: flex;
	justify-content: center;
}

.bd-copyright__main .footer-copyright p {
	color: #85664d;
	font-family: "Palanquin Dark", sans-serif;
	font-weight: 600;
	font-style: normal;
	background-color: #f9f0e8a8;
	border-radius: 10px;
	width: 500px;
}

.bd-footer__contact-item {
	margin-bottom: 20px;
}

.bd-footer__paragraph P {
	color: #85664d;
}

.bd-footer__link ul li a {
	color: #85664d;
}

.bd-footer__title h4 {
	color: var(--clr-theme-1);
	margin-bottom: 15px;
	font-weight: 300;
}

.bd-footer__social a {
	background-color: var(--clr-theme-1);
}

.bd-footer__social a:hover {
	color: #ffffff;
	background-color: var(--clr-theme-2);
}

.bd-footer__area {
	padding-top: 200px;
}

.bd-copyright__main {
	padding-top: 125px;
	padding-bottom: 80px;
}

.bd-footer__contact-item img {
	width: 150px;
	margin-top: 10px;
}

footer {
	background-size: 100vw auto;
	background-position: center bottom;
	background-repeat: no-repeat;
	overflow: hidden;
	border-top: 1px solid #fff;
}

.progress-wrap::after {
	color: var(--clr-theme-2);
	height: 50px;
	width: 50px;
}

.progress-wrap svg.progress-circle path {
	stroke: var(--clr-theme-2);
}

.progress-wrap {
	box-shadow: inset 0 0 0 2px rgb(249 240 232 / 63%);
	right: 80px;
	bottom: 20px;
	height: 50px;
	width: 50px;
}

@media (width <=768px) {
	.progress-wrap {
		bottom: 165px;
		right: 26px;
	}
}

.bd-footer__social {
	margin-right: 10px;
}

@media (width<=1400px) {
	footer {
		background-position: center bottom;
	}

	.bd-footer__area {
		padding-top: 80px;
		margin-top: 40px;
	}
}

@media (width<=1200px) {
	.bd-copyright__main {
		padding-top: 80px;
		padding-bottom: 50px;
	}
}

@media (width<=992px) {
	.bd-footer__link ul {
		gap: 10px 0px;
	}
}

@media (width<=768px) {
	.bd-footer__area {
		padding-top: 40px;
		margin-top: 20px;
	}
}

@media (width<=576px) {
	.bd-footer__contact-item {
		display: flex;
		justify-content: space-around;
	}

	.bd-footer__contact-item img {
		width: 140px;
	}
}

@keyframes float {

	0%,
	100% {
		transform: translateY(0);
	}

	50% {
		transform: translateY(-15px);
	}
}

.ads {
	position: fixed;
	bottom: 120px;
	left: 15px;
	z-index: 9999;
	width: 300px;
	height: 300px;
	will-change: transform, opacity;
	backface-visibility: hidden;
	transform: translateZ(0);
}

.ads img {
	width: 90%;
}

.ads:hover img {
	transform: scale(1.05);
	transition: transform 0.3s ease-in-out;
}

.close-btn {
	position: absolute;
	top: 5px;
	right: 35px;
	width: 25px;
	height: 25px;
	background: rgba(255, 255, 255, 0.9);
	color: rgb(54, 54, 54);
	border: 1px solid #6e6e6eb0;
	border-radius: 50%;
	cursor: pointer;
	font-size: 16px;
	font-weight: bold;
	display: flex;
	align-items: center;
	justify-content: center;
	box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
	transition: all 0.2s ease;
	z-index: 10001;
	/* 提高層級 */
	padding-bottom: 5px;
}

.ads-animate {
	animation:
		backInUp 1s ease-out 0.5s both,
		float 3.5s ease-in-out 1.5s infinite;
}

@keyframes backInUp {
	0% {
		transform: translateY(500px) scale(0.8);
	}

	80% {
		transform: translateY(0px) scale(0.8);
	}

	100% {
		transform: translateY(0px) scale(1);
	}
}

.close-btn:hover {
	background: #555555;
	color: #ffffff;
}

.ads.hidden {
	display: none;
}

@media (max-width: 1650px) {
	.ads {
		width: 220px;
		height: 220px;
	}
}

.grecaptcha-badge,
.rc-anchor,
.rc-anchor-invisible,
.rc-anchor-invisible.rc-anchor-light,
.rc-anchor-error-msg-container {
	z-index: 99 !important;
}